
%define	module	shm

Summary:	Python's Shared Memory Module
Summary(pl.UTF-8):	Moduł Pythona do obsługi pamięci dzielonej
Name:		python-%{module}
Version:	1.2.2
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://nikitathespider.com/python/shm/%{module}-%{version}.tar.gz
# Source0-md5:	da6f51301262605c99c3813019831c50
URL:		http://nikitathespider.com/python/shm/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object interface to System V shared memory
IPC, present in most Unix systems.

%description -l pl.UTF-8
Ten moduł udostępnia obiektowy interfejs do komunikacji między
procesami opartej na pamięci współdzielonej, jaka jest dostępna
w większości systemów uniksowych.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--install-data %{_datadir} \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/shm.so
%{py_sitedir}/shm_wrapper.*
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-shm.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f3e67cd
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6da266c
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f8eff7
- release 3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 539d1fb
- drop obsolete files

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ac3362
- release 2

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 204fbeb
- python BRs

* Sat May 24 2008 Mateusz Korniak <matkor@pld-linux.org> bace6e2
- Version 1.2.2-1. Hope this is same module. Anyway old URL seems dead to me...

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c818e0b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eb7d342
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 8d311bd
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> 311c3c9
- release 4 for rebuild with python 2.4

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 92f04b3
- release 3

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 4ff8c85
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 0a6af7a
- capitalization, tabs, other cosmetics

* Tue Dec 02 2003 Mateusz Korniak <matkor@pld-linux.org> 36097ee
- Release 2. Ac rebuild with changed Pythons ABI.

* Thu Aug 21 2003 Jakub Bogusz <qboosh@pld-linux.org> e6d16a8
- cleanup

* Wed Aug 20 2003 ankry <ankry@pld-linux.org> 2c63ac0
- removed md5: don't use distfiles - it's C file

* Wed Aug 20 2003 ankry <ankry@pld-linux.org> 353d014
- a46c665160a20e581570924b8fa1a6d7  shmmodule.c

* Wed Aug 20 2003 Mateusz Korniak <matkor@pld-linux.org> 1ce84ff
- Forgotten url added.

* Wed Aug 20 2003 Mateusz Korniak <matkor@pld-linux.org> 1a1044f
- Release 1. pl descr. added. md5. STBR for Ra pls.

